<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/Directory.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.Directory</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../Views.html" >Views</a>.Directory

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Directory/Directory.html" >Directory</a></div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line25" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A view that lists the content of a directory.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Directory.html#compile_glob" >compile_glob</a></span>(<span class="variable">globstr</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.compile_glob" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line15" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a compiled regular expression for the given glob string.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Directory/Directory.html" >Directory</a></div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line25" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A view that lists the content of a directory.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="compile_glob">compile_glob</a>(<span class="variable">globstr</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.compile_glob" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line15" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a compiled regular expression for the given glob string. A
    glob string is something like &quot;*.?pp&quot; which gets translated into
    &quot;^.*\..pp$&quot;.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
